#!/bin/sh
#---------------------------------------------------------------------------
#
#	i4b distribution installation script onto FreeBSD with i4b
#	----------------------------------------------------------
#
#	This works only for FreeBSD greater 3.0-RELEASE !
#
#	last edit-date: [Tue Dec  7 22:46:49 1999]
#
#	$Id: overinstall.sh,v 1.7 1999/12/07 22:00:47 hm Exp $
#
#---------------------------------------------------------------------------
L_PWD=`pwd`
MACHINE=/usr/include/machine
DTOP=/usr/src
DST=$DTOP/sys/i4b
SRC=$L_PWD/..
NET=/usr/src/sys/net
NETU=/usr/include/net
LIB=/usr/local/lib/isdn
VAR=/var/isdn
ETC=/etc/isdn
R_UNAME=`uname -r`
RELEASE=`expr $R_UNAME : '\([.0-9]*[D-Z]*\)'`
OSRELDATE=`sysctl -n kern.osreldate`
LNCMD="ln -s"
MVCMD="mv -f"

if [ $OSRELDATE -lt "300006" ]
then
	echo ""
	echo "	You are running FreeBSD 3.0-RELEASE or less."
	echo ""
	echo "	This installation script is not applicable."
	echo ""
	echo "	isdn4bsd does not support FreeBSD 2.x and earlier!"
	echo ""
	echo "	Terminating install script."
	echo ""
	exit
fi

move_and_link()
{
	if [ -e $2 ]
	then
		if [ -e $2-BACKUP ]
		then
			echo
			echo "$2-BACKUP already exists, either run the XXXuninstall.sh"
			echo "script or backup and then remove the file $2-BACKUP."
			echo "Then re-run this installation shell script to continue the installation."
			echo
			echo "Terminating isdn4bsd installation script!"
			echo
			exit 1
		fi
		echo "moving $2"
		echo "    to $2-BACKUP"
		$MVCMD $2 $2-BACKUP
	fi
	echo "linking $1"
	echo "     to $2"
	$LNCMD $1 $2
}

echo ""
echo "======== start of overinstall.sh ====================================="

#---------------------------------------------------------------------------
#	/usr/src/sys/i4b
#---------------------------------------------------------------------------

if [ -d $DST ]
then
	if [ -d $DST-BACKUP ]
	then
		echo
		echo "$DST-BACKUP already exists, either run the XXXuninstall.sh"
		echo "script or backup and then remove the file $DST-BACKUP."
		echo "Then re-run this installation shell script to continue the installation."
		echo
		echo "Terminating isdn4bsd installation script!"
		echo
		exit 1
	fi
	echo "moving $DST to $DST-BACKUP"
	$MVCMD $DST $DST-BACKUP
fi

if [ $OSRELDATE -ge "400011" ]
then
	xpwdx=`pwd`
	echo "patching /usr/src/sys/i386/isa/isa_compat.h ..."
	cd /usr/src/sys/i386/isa
	mv -f isa_compat.h isa_compat.h-BACKUP
	cp isa_compat.h-BACKUP isa_compat.h
	patch -l < $xpwdx/isa_compat.h.diff
	echo "patching /usr/src/sys/i386/conf/files.i386 ..."
	cd /usr/src/sys/i386/conf
	mv -f files.i386 files.i386-BACKUP
	cp files.i386-BACKUP files.i386
	patch -l < $xpwdx/files.i386.diff
	cd $xpwdx
fi

echo "making directory $DST"
mkdir $DST

echo "linking directories into $DST ...."

if [ ! -e $DST/layer1 ]
then
	if [ $OSRELDATE -ge "400011" ]
	then
		$LNCMD $SRC/layer1-nb $DST/layer1
	else
		$LNCMD $SRC/layer1 $DST/layer1
	fi
fi

if [ ! -e $DST/layer2 ]
then
	$LNCMD $SRC/layer2 $DST/layer2
fi

if [ ! -e $DST/layer3 ]
then
	$LNCMD $SRC/layer3 $DST/layer3
fi

if [ ! -e $DST/layer4 ]
then
	$LNCMD $SRC/layer4 $DST/layer4
fi

if [ ! -e $DST/driver ]
then
	$LNCMD $SRC/driver $DST/driver
fi

if [ ! -e $DST/include ]
then
	$LNCMD $SRC/include $DST/include
fi

if [ ! -e $DST/tina-dd ]
then
	$LNCMD $SRC/tina-dd $DST/tina-dd
fi

#---------------------------------------------------------------------------
#	if_sppp.h
#---------------------------------------------------------------------------

move_and_link $SRC/sppp/if_sppp.h $NET/if_sppp.h
move_and_link $SRC/sppp/if_sppp.h $NETU/if_sppp.h

#---------------------------------------------------------------------------
#	if_spppsubr.c
#---------------------------------------------------------------------------
move_and_link $SRC/sppp/if_spppsubr.c $NET/if_spppsubr.c

#---------------------------------------------------------------------------
#	/usr/include/machine
#---------------------------------------------------------------------------

move_and_link $SRC/machine/i4b_debug.h $MACHINE/i4b_debug.h
move_and_link $SRC/machine/i4b_ioctl.h $MACHINE/i4b_ioctl.h
move_and_link $SRC/machine/i4b_cause.h $MACHINE/i4b_cause.h
move_and_link $SRC/machine/i4b_tel_ioctl.h $MACHINE/i4b_tel_ioctl.h
move_and_link $SRC/machine/i4b_rbch_ioctl.h $MACHINE/i4b_rbch_ioctl.h
move_and_link $SRC/machine/i4b_trace.h $MACHINE/i4b_trace.h

#---------------------------------------------------------------------------
#	/usr/src/sys/i386/include
#---------------------------------------------------------------------------

move_and_link $SRC/machine/i4b_debug.h $DTOP/sys/i386/include/i4b_debug.h
move_and_link $SRC/machine/i4b_ioctl.h $DTOP/sys/i386/include/i4b_ioctl.h
move_and_link $SRC/machine/i4b_cause.h $DTOP/sys/i386/include/i4b_cause.h
move_and_link $SRC/machine/i4b_tel_ioctl.h $DTOP/sys/i386/include/i4b_tel_ioctl.h
move_and_link $SRC/machine/i4b_rbch_ioctl.h $DTOP/sys/i386/include/i4b_rbch_ioctl.h
move_and_link $SRC/machine/i4b_trace.h $DTOP/sys/i386/include/i4b_trace.h

echo removing ALL i4b devices ....
rm -f /dev/i4b* /dev/tina?

cd /dev

echo making i4b debug control device

sh MAKEDEV i4bctl

echo making i4b call control device

sh MAKEDEV i4b

echo making 4 i4b telephony interface devices

sh MAKEDEV i4btel0
sh MAKEDEV i4btel1
sh MAKEDEV i4btel2
sh MAKEDEV i4btel3

echo making 4 i4b telephony dial interface devices

mknod /dev/i4bteld0 c 56 64
mknod /dev/i4bteld1 c 56 65
mknod /dev/i4bteld2 c 56 66
mknod /dev/i4bteld3 c 56 67

echo making 4 i4b raw B channel access devices

sh MAKEDEV i4brbch0
sh MAKEDEV i4brbch1
sh MAKEDEV i4brbch2
sh MAKEDEV i4brbch3

echo making 4 i4b trace devices

sh MAKEDEV i4btrc0
sh MAKEDEV i4btrc1
sh MAKEDEV i4btrc2
sh MAKEDEV i4btrc3

echo making 1 tina-dd control device

mknod /dev/tina0 c 54 0
chmod og-rw /dev/i4b* /dev/tina*

echo "======== end of overinstall.sh ======================================="

