#!/bin/sh
#---------------------------------------------------------------------------
#
#	i4b distribution uninstallation script from FreeBSD with i4b
#	------------------------------------------------------------
#
#	This works only for FreeBSD greater 3.0-RELEASE !
#
#	last edit-date: [Tue Dec  7 22:50:37 1999]
#
#	$Id: overuninstall.sh,v 1.5 1999/12/07 22:00:47 hm Exp $
#
#---------------------------------------------------------------------------
L_PWD=`pwd`
MACHINE=/usr/include/machine
DTOP=/usr/src
DST=$DTOP/sys/i4b
SRC=$L_PWD/..
NET=/usr/src/sys/net
NETU=/usr/include/net
LIB=/usr/local/lib/isdn
VAR=/var/isdn
ETC=/etc/isdn
R_UNAME=`uname -r`
RELEASE=`expr $R_UNAME : '\([.0-9]*[D-Z]*\)'`
OSRELDATE=`sysctl -n kern.osreldate`
RMCMD="rm -f"
MVCMD="mv -f"

if [ $OSRELDATE -lt "300006" ]
then
	echo ""
	echo "	You are running FreeBSD 3.0-RELEASE or less."
	echo ""
	echo "	This installation script is not applicable."
	echo ""
	echo "	isdn4bsd does not support FreeBSD 2.x and earlier!"
	echo ""
	echo "	Terminating install script."
	echo ""
	exit
fi

remove_and_restore()
{
	if [ -e $1-BACKUP ]
	then
		echo "moving         $1-BACKUP"
		echo "       back to $1"
		$RMCMD $1
		$MVCMD $1-BACKUP $1
	fi
}

echo ""
echo "======== start of overuninstall.sh ==================================="

if [ $OSRELDATE -ge "400011" ]
then
	remove_and_restore /usr/src/sys/i386/isa/isa_compat.h
	remove_and_restore /usr/src/sys/i386/conf/files.i386
fi

#---------------------------------------------------------------------------
#	/usr/src/sys/i4b
#---------------------------------------------------------------------------

if [ -d $DST-BACKUP ]
then
	if [ -d $DST ]
	then
		echo "removing in directory $DST ..."
		rm -f $DST/layer1
		rm -f $DST/layer2
		rm -f $DST/layer3
		rm -f $DST/layer4
		rm -f $DST/driver
		rm -f $DST/include
		rm -f $DST/tina-dd

		echo "removing directory $DST ..."
		rmdir $DST
	fi
	echo "moving $DST-BACKUP back to $DST ..."
	mv $DST-BACKUP $DST
fi

#---------------------------------------------------------------------------
#	if_sppp.h
#---------------------------------------------------------------------------

remove_and_restore $NET/if_sppp.h
remove_and_restore $NETU/if_sppp.h

#---------------------------------------------------------------------------
#	if_spppsubr.c
#---------------------------------------------------------------------------

remove_and_restore $NET/if_spppsubr.c

#---------------------------------------------------------------------------
#	/usr/include/machine
#---------------------------------------------------------------------------

remove_and_restore $MACHINE/i4b_debug.h
remove_and_restore $MACHINE/i4b_ioctl.h
remove_and_restore $MACHINE/i4b_cause.h
remove_and_restore $MACHINE/i4b_tel_ioctl.h
remove_and_restore $MACHINE/i4b_rbch_ioctl.h
remove_and_restore $MACHINE/i4b_trace.h

#---------------------------------------------------------------------------
#	/usr/src/sys/i386/include
#---------------------------------------------------------------------------

remove_and_restore $DTOP/sys/i386/include/i4b_debug.h
remove_and_restore $DTOP/sys/i386/include/i4b_ioctl.h
remove_and_restore $DTOP/sys/i386/include/i4b_cause.h
remove_and_restore $DTOP/sys/i386/include/i4b_tel_ioctl.h
remove_and_restore $DTOP/sys/i386/include/i4b_rbch_ioctl.h
remove_and_restore $DTOP/sys/i386/include/i4b_trace.h

echo "======== end of overuninstall.sh ====================================="
