#---------------------------------------------------------------------------
#
#	$Id: Makefile.inc,v 1.19 1999/09/30 07:49:12 hm Exp $
#
#	last edit-date: [Thu Sep 30 09:39:34 1999]
#
#---------------------------------------------------------------------------

.if (${BSDTYPE} == "FreeBSD")

INTEGRATED!=if [ `sysctl -n kern.osreldate` -gt "300006" ]; then echo "YES"; else echo "NO"; fi

.if ${INTEGRATED} == "NO"
BINDIR	 =	/usr/local/bin
.else
BINDIR	 =	/usr/sbin
.endif

.else
BINDIR	 =	/usr/local/bin
.endif

COPTS	+=	-g -Wall

# if you don't like curses stuff in the daemon (i.e. don't intend
# to ever run it in the foreground but are using the monitoring
# utilities instead) define this to compile it without.
#I4B_WITHOUT_CURSES	=	1

# if you would like monitoring support, define this
I4B_EXTERNAL_MONITOR	=	1

# for the security conscious type: restrict monitoring to the
# local machine by not compiling any tcp/ip support for monitoring
# at all
#I4B_NOTCPIP_MONITOR	=	1

# Set system type
.if !defined(BSDTYPE)
BSDTYPE!=uname
.endif

.if (${BSDTYPE} == "NetBSD" || ${BSDTYPE} == "OpenBSD" || ${BSDTYPE} == "BSD/OS")
# NetBSD requires this to do inplace builds
COPTS  +=	-I..
.endif

# We also want the stuff to go elsewhere
.if (${BSDTYPE} == "NetBSD")
MANDIR	 =	/usr/local/man
.endif
.if (${BSDTYPE} == "OpenBSD" || ${BSDTYPE} == "BSD/OS")
MANDIR	 =	/usr/local/man/man
.endif
