#!/bin/sh
#---------------------------------------------------------------------------
#
#	i4b installation script
#	-----------------------
#
#	last edit-date: [Sun Jan  4 08:05:28 1998]
#
#	-hm	tired to do it again and again....
#	-mh	ported to NetBSD
#
#---------------------------------------------------------------------------

#---------------------------------------------------------------------------
# Carefully adjust the values below. Then run this script from the
# i4b/NetBSD directory as root. Then you can build your i4b kernel.
# If you will be using the Diehl driver, you must copy the file dnload.bin
# from your Diehl driver disk to the directory $DST/dev/microcode/daic
# and run "make" in that directory.

# The directory where the i4b distribution lives
SRC=`(cd ..; pwd)`

# Where the copy of your /usr/src/sys source tree lives. This copy is
# modified to support i4b. You probably should not use your native /usr/src/sys
# here! This working copy must exist, before you run this script!
DST=/usr/src/sys-i4b

#---------------------------------------------------------------------------
# YOU SHOULD NOT NEED TO CHANGE ANYTHING BELOW...
#
# This works with the NetBSD 1.4 release.
#---------------------------------------------------------------------------
ISDN=$DST/i4b

if [ ! -d $ISDN ]
then
	mkdir $ISDN
fi

ln -s $SRC/layer1 $ISDN/layer1
ln -s $SRC/layer2 $ISDN/layer2
ln -s $SRC/layer3 $ISDN/layer3
ln -s $SRC/layer4 $ISDN/layer4
ln -s $SRC/driver $ISDN/driver
ln -s $SRC/sppp $ISDN/sppp
ln -s $SRC/include $ISDN/include
ln -s $SRC/NetBSD/files.i4b $ISDN
ln -s $SRC/NetBSD/files.i4b.isa $ISDN
ln -s $SRC/NetBSD/files.i4b.pci $ISDN
ln -s $SRC/NetBSD/files.i4b.pcmcia $ISDN
( cd $ISDN && ln -s $SRC/machine/*.h . )

( cd $DST/arch/amiga/dev && ln -s $SRC/layer1/isic_supio.c . )
( cd $DST/dev/isa && ln -s $SRC/layer1/isa_isic.c . )
( cd $DST/dev/isa && ln -s $SRC/diehl/isadaic.c . )
( cd $DST/dev/ic && ln -s $SRC/diehl/daic*.[hc] . )
( cd $DST/dev/isapnp && ln -s $SRC/layer1/isapnp_isic.c . )
( cd $DST/dev/pcmcia && ln -s $SRC/layer1/pcmcia_isic.c . )
( cd $DST/dev/pci && ln -s $SRC/layer1/pci_isic.c . )
( cd $DST/dev/microcode && mkdir daic && cd daic && ln -s $SRC/diehl/microcode/* . && make )

# ---------------------------------------------------------------------------- 
# Machine independed config file changes...
# ---------------------------------------------------------------------------- 

cd $DST/conf || exit 1
patch << 'END_OF_PATCH'
*** files.orig	Sat Aug 21 13:15:51 1999
--- files	Sat Aug 28 14:53:52 1999
***************
*** 725,735 ****
  file net/radix.c
  file net/raw_cb.c
  file net/raw_usrreq.c
  file net/route.c
  file net/rtsock.c
! file net/slcompress.c			sl | ppp | strip
  file net/zlib.c				(ppp & ppp_deflate) | ipsec
  file netccitt/ccitt_proto.c		ccitt
  file netccitt/hd_debug.c		hdlc
  file netccitt/hd_input.c		hdlc
  file netccitt/hd_output.c		hdlc
--- 725,735 ----
  file net/radix.c
  file net/raw_cb.c
  file net/raw_usrreq.c
  file net/route.c
  file net/rtsock.c
! file net/slcompress.c			sl | ppp | strip | i4bipr
  file net/zlib.c				(ppp & ppp_deflate) | ipsec
  file netccitt/ccitt_proto.c		ccitt
  file netccitt/hd_debug.c		hdlc
  file netccitt/hd_input.c		hdlc
  file netccitt/hd_output.c		hdlc
END_OF_PATCH


# ---------------------------------------------------------------------------- 
# Machine (architecture) specific patches follow...
# ---------------------------------------------------------------------------- 

ARCH=`machine`
if [ -f $SRC/NetBSD/sys-patch.$ARCH ]
then
	. $SRC/NetBSD/sys-patch.$ARCH
else
	echo "Unfortunately for your architecture no sys/config patch support"
	echo "has been added to i4b. It is easy to do, have a look at the"
	echo "existing stuff, create one for $ARCH and mail it to"
	echo "Martin Husemann (martin@rumolt.teuto.de)"
fi
