#!/bin/sh
#---------------------------------------------------------------------------
#
#	i4b OpenBSD 2.5 de-installation script
#	--------------------------------------
#
#	last edit-date: [Mon Jul 19 14:20:34 1999]
#
#	$Id: deinstall-openbsd.sh,v 1.1 1999/07/19 13:58:19 hm Exp $
#
#---------------------------------------------------------------------------
ARCH=`machine`
OS=`uname -s`
OSRELEASE=`sysctl -n kern.osrelease`

if [ "$OS" = "OpenBSD" ]
then
	if [ "$OSRELEASE" != "2.8" ]
	then
		echo "This script is just for $OS 2.8, exit!"
		exit 1
	fi
else
	echo "This script is for OpenBSD only, exit!"
	exit 1
fi

#---------------------------------------------------------------------------
# Carefully adjust the values below. Then run this script from the
# i4b/OpenBSD directory as root. Then you can build your i4b kernel.

# The directory where the i4b distribution lives
SRC=`(cd ..; pwd)`

# Where the copy of your /usr/src/sys source tree lives. 
# This copy is modified to support i4b.
DST=/usr/src/sys

echo "i4b OpenBSD de-install script (SRC=$SRC, DST=$DST)"

#---------------------------------------------------------------------------
# Carefully adjust the values below. 
# Then run this script from the i4b/OpenBSD directory as root.

# The directory where the i4b distribution lives
SRC=`(cd ..; pwd)`

# Where the copy of your /usr/src/sys source tree lives. 
# This copy is modified to support i4b.
DST=/usr/src/sys

#---------------------------------------------------------------------------
# YOU SHOULD NOT NEED TO CHANGE ANYTHING BELOW...
#---------------------------------------------------------------------------

ISDN=$DST/i4b

echo "removing $ISDN ..."
rm -rf $ISDN

echo "removing in $DST/dev ..."

rm -f $DST/dev/isa/isa_isic.c
rm -f $DST/dev/isa/isapnp_isic.c
rm -f $DST/dev/isa/isadaic.c
rm -f $DST/dev/ic/daic*.[hc]

echo "removing $DST/dev/microcode/daic ..."
rm -rf $DST/dev/microcode/daic

# ---------------------------------------------------------------------------- 
# machine independent config file changes...
# ---------------------------------------------------------------------------- 

echo "reinstalling backup copy of $DST/conf/files ..."
cd $DST/conf || exit 1
mv -f files-BACKUP files

# ---------------------------------------------------------------------------- 
# machine (architecture) specific patches follow...
# ---------------------------------------------------------------------------- 

ARCH=`machine`
if [ -f $SRC/OpenBSD/sys-deinstall.$ARCH ]
then
	. $SRC/OpenBSD/sys-deinstall.$ARCH
else
	echo "Unfortunately your architecture has no deinstall patch support"
	exit 1
fi

exit 0
