#!/bin/sh
#---------------------------------------------------------------------------
#
#	i4b OpenBSD 2.5 installation script
#	-----------------------------------
#
#	last edit-date: [Mon Jul 19 14:33:47 1999]
#
#	$Id: install-openbsd.sh,v 1.2 1999/07/19 13:58:19 hm Exp $
#
#---------------------------------------------------------------------------
ARCH=`machine`
OS=`uname -s`
OSRELEASE=`sysctl -n kern.osrelease`

if [ "$OS" = "OpenBSD" ]
then
	if [ "$OSRELEASE" != "2.8" ]
	then
		echo "This script is just for $OS 2.8, exit!"
		exit 1
	fi
else
	echo "This script is for OpenBSD only, exit!"
	exit 1
fi

#---------------------------------------------------------------------------
# Carefully adjust the values below. Then run this script from the
# i4b/OpenBSD directory as root. Then you can build your i4b kernel.

# The directory where the i4b distribution lives
SRC=`(cd ..; pwd)`

# Where the copy of your /usr/src/sys source tree lives. 
# This copy is modified to support i4b.
DST=/usr/src/sys

echo "i4b OpenBSD install script (SRC=$SRC, DST=$DST)"

#---------------------------------------------------------------------------
# YOU SHOULD NOT NEED TO CHANGE ANYTHING BELOW...
#---------------------------------------------------------------------------

ISDN=$DST/i4b

if [ ! -d $ISDN ]
then
	mkdir $ISDN
fi

echo "installing in $ISDN ...."

ln -s $SRC/layer1 $ISDN/layer1
ln -s $SRC/layer2 $ISDN/layer2
ln -s $SRC/layer3 $ISDN/layer3
ln -s $SRC/layer4 $ISDN/layer4
ln -s $SRC/driver $ISDN/driver
ln -s $SRC/sppp $ISDN/sppp
ln -s $SRC/include $ISDN/include
ln -s $SRC/OpenBSD/files.i4b $ISDN

( cd $ISDN && ln -s $SRC/machine/*.h . )

echo "installing in $DST/dev ...."

( cd $DST/dev/isa && ln -s $SRC/layer1/isa_isic.c . )
( cd $DST/dev/isa && ln -s $SRC/diehl/isadaic.c . )
( cd $DST/dev/ic && ln -s $SRC/diehl/daic*.[hc] . )
( cd $DST/dev/isa && ln -s $SRC/layer1/isapnp_isic.c . )
( cd $DST/dev/pci && ln -s /usr/src/i4b/layer1/pci_isic.c )
( cd $DST/dev/microcode && mkdir daic && cd daic && ln -s $SRC/diehl/microcode/* . && make )

# ---------------------------------------------------------------------------- 
# machine independent config file changes...
# ---------------------------------------------------------------------------- 

cd $DST/conf || exit 1

if [ -e files-BACKUP ]
then
	echo "Error: $DST/conf/files-BACKUP already exist, exit!"
	exit 1
fi

# ---------------------------------------------------------------------------- 
# machine (architecture) specific patches follow...
# ---------------------------------------------------------------------------- 

ARCH=`machine`
if [ -f $SRC/OpenBSD/sys-patch.$ARCH ]
then
	. $SRC/OpenBSD/sys-patch.$ARCH
else
	echo "Unfortunately there is no i4b support for your architecture"
	echo "It is easy to do, have a look at the existing stuff, create"
	echo "one for $ARCH and mail it to the i4b author"
fi

exit 0
