/*
 *   Copyright (c) 1994, 1999 Hellmuth Michaelis. All rights reserved.
 *
 *   Based on code written by Stollmann GmbH, Hamburg. Many thanks to
 *   Christian Luehrs and Manfred Jung for docs, sources and answers!
 * 
 *   Redistribution and use in source and binary forms, with or without
 *   modification, are permitted provided that the following conditions
 *   are met:
 *
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 *   
 *   THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 *   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 *   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 *   ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 *   FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 *   DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 *   OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 *   HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 *   LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 *   OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 *   SUCH DAMAGE.
 *
 *---------------------------------------------------------------------------
 *
 *	tina_download - i4b Stollman Tina-dd firmware download
 *	------------------------------------------------------
 *
 *	$Id: tina_download.h,v 1.3 1999/04/29 08:27:10 hm Exp $
 *
 *	last edit-date: [Thu Apr 29 09:55:55 1999]
 *
 *---------------------------------------------------------------------------*/

#define DEFAULT_DEVICE	"/dev/tina0"

#define START_UNDEF	1
#define START_SET	2

#define BUFLEN		0x1000

#define NMI		0x00000008l

#define	min(a,b)	((a) < (b) ? (a) : (b))
#define	max(a,b)	((a) > (b) ? (a) : (b))

#define RHEADR		0x6e	/* R-Module Header Record */
#define REGINT		0x70
#define UNDEF0		0x72
#define UNDEF1		0x74
#define OVLDEF		0x76
#define ENDREC		0x78
#define UNDEF2		0x7a
#define UNDEF3		0x7c
#define UNDEF4		0x7e
#define THEADR		0x80	/* T-Module Header Record */
#define LHEADR		0x82	/* L-Module Header Record */
#define PEDATA		0x84	/* physical enumerated data */
#define PIDATA		0x86	/* physical iterated data */
#define COMMENT		0x88	/* comment record */
#define MODEND		0x8a	/* module end record */
#define UNDEF6		0x8c
#define TYPE		0x8e	/* type definition record */
#define UNDEF8		0x90
#define UNDEF9		0x92
#define UNDEFA		0x94
#define LNAMES		0x96	/* list of names record */
#define SEGMENT		0x98	/* segment definition record */
#define UNDEFD		0x9a
#define UNDEFE		0x9c


extern int main ( int argc, char *argv[] );
extern void usage ( void );
extern void getrec ( void *where, unsigned len );
extern void chksum ( void );
extern void unused ( unsigned char what );
extern void header ( int what );
extern void itdata ( unsigned long addr );
extern void data ( void );
extern void modend ( void );
extern void handle ( void );
extern int leave ( char *string );
extern void bwrite ( unsigned char *start, int length, unsigned int addr, int verify );
extern void nmi ( void );
extern void reset ( void );

/* EOF */
